www.cendio.com
Bug 4845 - Client does not accept smart card certs without extensions
: Client does not accept smart card certs without extensions
Status: CLOSED FIXED
: ThinLinc
Smart card
: 4.1.0
: PC Unknown
: P2 Normal
: 4.1.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-10-11 16:29 by
Modified: 2013-10-24 11:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-10-11 16:29:42
I've discovered that tlclient does not accept a smart card cert without any
extensions. In tlclient.log, I get:

2013-10-11T16:13:36: Log file created
2013-10-11T16:13:36: ThinLinc client release (Internal version - not for
release) build (unknown build)
2013-10-11T16:13:40: Loaded PKCS#11 module
'/opt/thinlinc/lib/tlclient/opensc-pkcs11.so'
2013-10-11T16:13:40: Unable to determine if certificate for token "MyEID (Basic
PIN)" is for a CA
2013-10-11T16:13:41: Log file ended

Apparently, find_extension in cert.c returns ASN1_ELEMENT_NOT_FOUND if it does
not find tbsCertificate.extensions.
------- Comment #1 From cendio 2013-10-14 09:46:34 -------
The structure is optional in case there are no extensions on the certificate.
So we should be able to handle this.

Fixed in r28027.
------- Comment #2 From cendio 2013-10-15 09:33:11 -------
Works now.